List Services
curl --request GET \
--url https://api.getfloo.com/v1/apps/{app_id}/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getfloo.com/v1/apps/{app_id}/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getfloo.com/v1/apps/{app_id}/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/apps/{app_id}/services",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/apps/{app_id}/services"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getfloo.com/v1/apps/{app_id}/services")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/apps/{app_id}/services")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "web",
"port": 123,
"ingress": "public",
"cloud_run_url": "<string>",
"image_uri": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"declared": "unknown",
"applied": "unknown",
"url": "<string>",
"cloud_run_service_name": "<string>",
"cpu": "<string>",
"memory": "<string>",
"max_instances": 123,
"min_instances": 123,
"instances": 123,
"max_request_body_mb": 123,
"runtime_plan": {
"env": "<string>",
"service_type": "web",
"availability": "on_demand",
"declared": {
"cpu": "<string>",
"memory": "<string>",
"min_instances": 123,
"max_instances": 123,
"instances": 123
},
"effective": {
"cpu": "<string>",
"memory": "<string>",
"min_instances": 123,
"max_instances": 123,
"instances": 123
},
"sources": {
"cpu": "configured",
"memory": "configured",
"min_instances": "configured",
"max_instances": "configured",
"instances": "configured"
},
"components": [
{
"name": "<string>",
"cpu": "<string>",
"memory": "<string>",
"source": "<string>"
}
],
"instance_total": {
"cpu": "<string>",
"memory": "<string>"
},
"cpu_allocation": "request_based",
"cpu_allocation_reason": "<string>",
"warnings": [
"<string>"
]
},
"cache_hit": true,
"base_image": "<string>",
"base_image_floo": false,
"repo_full_name": "<string>"
}
],
"total": 123,
"page": 123,
"per_page": 123
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}services
List Services
List services for an app.
GET
/
v1
/
apps
/
{app_id}
/
services
List Services
curl --request GET \
--url https://api.getfloo.com/v1/apps/{app_id}/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getfloo.com/v1/apps/{app_id}/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getfloo.com/v1/apps/{app_id}/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/apps/{app_id}/services",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/apps/{app_id}/services"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getfloo.com/v1/apps/{app_id}/services")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/apps/{app_id}/services")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "web",
"port": 123,
"ingress": "public",
"cloud_run_url": "<string>",
"image_uri": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"declared": "unknown",
"applied": "unknown",
"url": "<string>",
"cloud_run_service_name": "<string>",
"cpu": "<string>",
"memory": "<string>",
"max_instances": 123,
"min_instances": 123,
"instances": 123,
"max_request_body_mb": 123,
"runtime_plan": {
"env": "<string>",
"service_type": "web",
"availability": "on_demand",
"declared": {
"cpu": "<string>",
"memory": "<string>",
"min_instances": 123,
"max_instances": 123,
"instances": 123
},
"effective": {
"cpu": "<string>",
"memory": "<string>",
"min_instances": 123,
"max_instances": 123,
"instances": 123
},
"sources": {
"cpu": "configured",
"memory": "configured",
"min_instances": "configured",
"max_instances": "configured",
"instances": "configured"
},
"components": [
{
"name": "<string>",
"cpu": "<string>",
"memory": "<string>",
"source": "<string>"
}
],
"instance_total": {
"cpu": "<string>",
"memory": "<string>"
},
"cpu_allocation": "request_based",
"cpu_allocation_reason": "<string>",
"warnings": [
"<string>"
]
},
"cache_hit": true,
"base_image": "<string>",
"base_image_floo": false,
"repo_full_name": "<string>"
}
],
"total": 123,
"page": 123,
"per_page": 123
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
A floo_ API key.
Headers
Organization to act in; defaults to the one joined most recently.
Path Parameters
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Environment name (dev, prod)